=== xbmc/platform/android/CMakeLists.txt ===
set(SOURCES CPUInfoAndroid.cpp
            MemUtils.cpp
            PlatformAndroid.cpp)

set(HEADERS CPUInfoAndroid.h
            PlatformAndroid.h)

core_add_library(androidsupport)
