=== debian/changelog ===
kodi-dmo (5:19.5-dmo0+deb11u7) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.9
  * Fixes following vulnerabilities: CVE-2023-49502, CVE-2025-0518

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Mar 2025 14:31:51 +0100

kodi-dmo (5:19.5-dmo0+deb11u6) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.8
  * Fixes following vulnerability: CVE-2024-7055

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Aug 2024 14:05:29 +0200

kodi-dmo (5:19.5-dmo0+deb11u5) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.7
  * Fixes following vulnerabilities: CVE-2023-47342, CVE-2022-48434,
    CVE-2022-3341, CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Jun 2024 17:08:04 +0200

kodi-dmo (5:19.5-dmo0+deb11u4) oldstable; urgency=medium

  * Add upstream patch to fix CVE-2023-23082 (heap buffer overflow vulnerability)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jan 2024 11:37:27 +0100

kodi-dmo (5:19.5-dmo0+deb11u3) oldstable; urgency=medium

  * Add upstream patch to fix CVE-2023-30207 (dividing by zero).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Jul 2023 09:55:35 +0200

kodi-dmo (5:19.5-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.3.6
  * Fixes following vulnerability: CVE-2022-3109

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Apr 2023 13:12:39 +0200

kodi-dmo (5:19.5-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.
  * Move texturepacker in is own kodi-tools-texturepacker package.
  * Introduce a kodi-addons-dev-common package to hold all the arch-indep
    files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Dec 2022 10:07:12 +0100

kodi-dmo (5:19.4-dmo0+deb11u5) stable; urgency=medium

  * Update included ffmpeg to 4.3.5
    Fix CVE-2020-21041

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2022 15:26:33 +0200

kodi-dmo (5:19.4-dmo0+deb11u4) stable; urgency=medium

  * Add kodi-bin to Conflicts/Replaces in kodi-data package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2022 09:43:43 +0200

kodi-dmo (5:19.4-dmo0+deb11u3) stable; urgency=medium

  * Don't use system font. This overload fontconfig and make fonts selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Jul 2022 18:38:46 +0200

kodi-dmo (5:19.4-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.3.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Apr 2022 09:31:30 +0200

kodi-dmo (5:19.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 15:33:07 +0100

kodi-dmo (5:19.3-dmo0+deb11u2) stable; urgency=medium

  * Don't use dh_strip but objcopy to strip arm64 kodi binary.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Nov 2021 12:27:52 +0100

kodi-dmo (5:19.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Oct 2021 15:37:41 +0200

kodi-dmo (5:19.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 15:35:12 +0200

kodi-dmo (5:19.1-dmo3) unstable; urgency=medium

  * Build with included fmpeg 4.3.2 as kodi doesn't work with ffmpeg 4.4 and
    E-AC3 audio.
  * From Debian : Add runtime locale test and fallback.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jul 2021 15:27:43 +0200

kodi-dmo (5:19.1-dmo2) unstable; urgency=medium

  * Should Build-Depends on versioned fmtlib (>= 6.1.2)
  * Should Build-Depends on versioned libspdlog-dev (>= 1.5.0~)
  * Should Build-Depends on libudfread-dev
  * Build with ENABLE_MARIADBCLIENT instead of ENABLE_MYSQLCLIENT and
    replaces default-libmysqlclient-dev by libmariadb-dev in Build-depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 May 2021 09:36:23 +0200

kodi-dmo (5:19.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Fix missing Romanian characters in arial.ttf (Thanks to Emil).
  * Move to dh-linktree to make fonts symlink.
  * Should symlink jquery-3.5.1.min.js --> jquery.min.js not
    jquery-1.11.0.min.js

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 01:21:20 +0200

kodi-dmo (5:19.0-dmo2) unstable; urgency=medium

  * Rename python-pil to python3-pil.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Feb 2021 01:09:10 +0100

kodi-dmo (5:19.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Drop kodi-x11, kodi-wayland and kodi-gbm packages, now the same binary
    can handle all window systems.
  * Move include files from kodi-eventclients-dev to kodi-addons-dev package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Feb 2021 13:06:05 +0100

kodi-dmo (5:18.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Oct 2020 15:18:47 +0200

kodi-dmo (5:18.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Jul 2020 16:28:44 +0200

kodi-dmo (5:18.7-dmo2) unstable; urgency=medium

  * Replaces fonts-glewlwyd by fonts-glyphicons-halflings

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jun 2020 07:48:31 +0200

kodi-dmo (5:18.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 May 2020 12:09:30 +0200

kodi-dmo (5:18.6-dmo3) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery
  * Build with libcec5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 16:33:15 +0200

kodi-dmo (5:18.6-dmo2) unstable; urgency=medium

  * kodi-eventclients-ps3 replaces python-bluez dependency by python3-bluez

